org.eclipse.lyo.client.oslc.resources

## Class RequirementCollection

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.Requirement
    - - org.eclipse.lyo.client.oslc.resources.RequirementCollection

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcNamespace(value="http://open-services.net/ns/rm#")
      @OslcResourceShape(title="Requirement Collection Resource Shape",
                         describes="http://open-services.net/ns/rm#RequirementCollection")
      public final class RequirementCollection
      extends Requirement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequirementCollection()`
    `RequirementCollection(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUses(URI uses)`
    `URI[]` | `getUses()`
    `void` | `setUses(URI[] uses)`

    - ### Methods inherited from class org.eclipse.lyo.client.oslc.resources.Requirement

      `addAffectedBy, addConstrainedBy, addConstrains, addContributor, addCreator, addDecomposedBy, addDecomposes, addElaboratedBy, addElaborates, addImplementedBy, addRdfType, addSatisfiedBy, addSatisfies, addSpecifiedBy, addSpecifies, addSubject, addTrackedBy, addValidatedBy, getAffectedBy, getConstrainedBy, getConstrains, getContributors, getCreated, getCreators, getDecomposedBy, getDecomposes, getDescription, getElaboratedBy, getElaborates, getIdentifier, getImplementedBy, getInstanceShape, getModified, getRdfTypes, getSatisfiedBy, getSatisfies, getServiceProvider, getShortTitle, getSpecifiedBy, getSpecifies, getSubjects, getTitle, getTrackedBy, getValidatedBy, setAffectedBy, setConstrainedBy, setConstrains, setContributors, setCreated, setCreators, setDecomposedBy, setDecomposes, setDescription, setElaboratedBy, setElaborates, setIdentifier, setImplementedBy, setInstanceShape, setModified, setRdfTypes, setSatisfiedBy, setSatisfies, setServiceProvider, setShortTitle, setSpecifiedBy, setSpecifies, setSubjects, setTitle, setTrackedBy, setValidatedBy`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequirementCollection

          public RequirementCollection()

    - #### RequirementCollection

          public RequirementCollection(URI about)

  - ### Method Detail

    - #### addUses

          public void addUses(URI uses)

    - #### getUses

          @OslcDescription(value="A collection uses a resource - the resource is in the requirement collection.")
          @OslcName(value="uses")
          @OslcPropertyDefinition(value="http://open-services.net/ns/rm#uses")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcTitle(value="Uses")
          public URI[] getUses()

    - #### setUses

          public void setUses(URI[] uses)

Copyright © 2016. All Rights Reserved.